// COMMON-ANGULAR-MODULES

import { ModuleWithProviders } from '@angular/core'

// ROUTING

import { Routes, RouterModule } from '@angular/router';

//IMPORTED-PAGE-COMPONENTS

import { IndexComponent } from './index/index.component';
import { LoginComponent } from './login/login.component';
import { ForgotComponent } from './forgot/forgot.component';
import { NewpinComponent } from './newpin/newpin.component';
import { InvalidComponent } from './invalid/invalid.component';

const ModuleRoutes: Routes = [
	{
		path: 'start',
		component: IndexComponent,
		children: [
			{
				path: "login",
				component: LoginComponent,
			},
			{
				path: "forgot",
				component: ForgotComponent,
			},
			{
				path: "newpin",
				component: NewpinComponent,
			},
			{
				path: "invalid",
				component: InvalidComponent,
			}
		]
	}
];

export const moduleRouting: ModuleWithProviders = RouterModule.forChild(ModuleRoutes)

